/* General Styles */

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;500;700;800&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  text-decoration: none;
  list-style: none;
  scroll-behavior: smooth;
}

body {
  background: radial-gradient(
    circle,
    rgba(87, 97, 215, 1) 0%,
    rgb(4, 4, 58) 0%,
    rgba(15, 5, 76, 1) 100%
  );
  color: white;
}

.page-wrapper {
  width: 100%;
  margin: 0 auto;
  background: radial-gradient(
    circle,
    rgba(87, 97, 215, 1) 0%,
    rgb(5, 5, 62) 0%,
    rgba(15, 5, 76, 1) 100%
  );
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

:root {
  --main-color: #ff2c9c;
}

/* Navigation Styles */
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: rgb(10, 3, 43);
  padding: 35px;
}

nav .nav-logo-title {
  display: flex;
  align-items: center;
  color: white;
  font-size: 1.2em;
  font-weight: bold;
}

.nav-logo-title a {
  color: white;
}

nav .nav-logo-title img {
  display: none;
}

nav ul {
  display: flex;
  list-style: none;
}

nav ul li {
  margin-left: 20px;
}

nav ul li a {
  text-decoration: none;
  color: #fff;
  position: relative;
  transition: color 0.3s;
  padding: 20px;
}

nav ul li a::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: var(--main-color);
  visibility: hidden;
  transform: scaleX(0);
  transition: all 0.3s ease-in-out;
}

nav ul li a:hover {
  color: var(--main-color);
}

nav ul li a:hover::before {
  visibility: visible;
  transform: scaleX(1);
}

/* Header Styles */
#header {
  background-image: url(https://i.vgy.me/TaV79z.png);
  display: flex;
  justify-content: space-between;
  height: 500px;
  background-size: 80%;
  background-repeat: no-repeat;
  background-position: 400px -80px; /* Adjust the position here */

  padding: 50px 40px 40px 20px; /* Adjusted the padding values */
}

.header-texts {
  width: 60%;
  padding: 50px 40px 40px 20px; /* Adjusted the padding values */
}

.header-texts h1 {
  font-size: 5.5em;
  margin-bottom: 20px;
}

.header-texts h3 {
  font-size: 1.6em;
  margin-bottom: 20px;
}

.header-texts p {
  font-size: 1.1em;
  margin-bottom: 20px;
  text-align: justify;
}

.header-filler {
  background-image: url(https://i.vgy.me/TaV79z.png);

  width: 50%;
  z-index: 1000;
  margin-top: px;
  margin-left: -500px;
}

/* Content and Aside Styles */
.content-aside {
  background-image: url(https://i.vgy.me/WdyMnm.png);
  display: flex;
  background-repeat: no-repeat;
  background-size: 100%;
  justify-content: space-between;
  padding: 40px;
}

.content {
  width: 65%;
}

.content h2 {
  font-size: 2em;
  margin-bottom: 15px;
  background-color: rgba(
    255,
    255,
    255,
    0.1
  ); /* Semi-transparent white background */
  border-radius: 10px; /* Rounded corners */
  padding: 10px 15px; /* Padding to give space between the text and the border */
  backdrop-filter: blur(10px); /* Apply a blur effect to the background */
}

.content p {
  font-size: 1.1em;
  text-align: justify;
  margin-bottom: 20px;
}

aside {
  width: 30%;
  background-color: rgba(
    255,
    255,
    255,
    0.1
  ); /* Semi-transparent white background */
  border-radius: 10px; /* Rounded corners */
  padding: 20px; /* Padding to give space between the content and the border */
  backdrop-filter: blur(10px); /* Apply a blur effect to the background */
  height: 500px;
}

aside h2 {
  font-size: 1.6em;
  margin-bottom: 20px;
  background-color: rgba(
    255,
    255,
    255,
    0.1
  ); /* Semi-transparent white background */
  border-radius: 10px; /* Rounded corners */
  padding: 10px 15px; /* Padding to give space between the text and the border */
  backdrop-filter: blur(10px); /* Apply a blur effect to the background */
}

aside ul {
  list-style: none;
  margin-bottom: 20px;
}

aside ul li {
  margin-bottom: 10px;
}

aside ul li a {
  text-decoration: none;
  color: #ffffff;
  background-color: rgba(
    255,
    255,
    255,
    0.1
  ); /* Semi-transparent white background */
  border-radius: 5px; /* Rounded corners */
  padding: 5px 10px; /* Padding to give space between the text and the border */
  transition: all 0.3s ease; /* Transition for hover effect */
}

aside ul li a:hover {
  color: #fff; /* Text color change when hovered */
  transition: 0.5s;
  background-color: rgba(
    255,
    255,
    255,
    0.3
  ); /* Increase the opacity when hovered */
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.5); /* Glowy effect when hovered */
}

/* Articles section */
.articles {
  display: flex;
  justify-content: space-between;

  flex-wrap: wrap;
  gap: 20px; /* Add gap */
  margin-right: -20px;
  margin-left: 60px;
  margin-top: -50px;
}

.article:hover,
.row-second:hover {
  transform: translateY(-10px);
  transition: box-shadow 0.5s ease, transform 1s ease;

  background-color: rgba(
    255,
    255,
    255,
    0.3
  ); /* Increase the opacity when hovered */
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.5); /* Glowy effect when hovered */
}

.row-first p {
  max-width: 450px;
}

.articles table {
  padding: 25px;
  margin-top: 4rem;
  width: 100%;
  border-spacing: 1rem;
  border-collapse: separate;
}

.articles table tr {
  display: flex;
  gap: 1rem;
}

.articles table tr.row-first {
  margin-bottom: 3rem;
}

.articles table .article img {
  width: 100%;

  margin-left: 70px;
  margin-right: 50px;
  margin-top: 20px;
  border-radius: 10px;
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
}

.articles table .article h3,
.articles table .article-long h3 {
  padding: 10px;
  color: #ffffff;
  font-weight: bold;
  font-size: 1.2rem;
  text-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
}

.articles table .article p,
.articles table .article-long p {
  color: #ffffff;
  font-size: 1rem;
  text-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
  padding: 0px 30px 30px 30px;
}

.articles table .article a {
  display: inline-block;
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 5px;
  padding: 0.5rem 1rem;
  margin-left: 150px;
  color: #ffffff;
  font-size: 1rem;
  text-align: center;
  border: 2px solid rgba(255, 255, 255, 0.3);
  transition: all 0.3s ease;
}

.articles table .article a:hover {
  background-color: rgba(255, 255, 255, 0.2);
  color: #ffffff;
  border: 2px solid rgba(255, 255, 255, 0.5);
}

.articles table .article-long td {
  background-color: rgba(255, 255, 255, 0.1);
  padding: 3rem;
  border-radius: 10px;
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
  border: 1px solid rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(10px);
}

.articles table .row-second td:nth-child(2) img {
  width: 100%;
  border-radius: 10px;
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
}

.articles table .row-first .article:nth-child(1) img {
  content: url(https://source.unsplash.com/featured/300x201);
}

.articles table .row-first .article:nth-child(2) img {
  content: url(https://source.unsplash.com/featured/300x202);
}

.articles table .row-first .article:nth-child(3) img {
  content: url(https://source.unsplash.com/featured/300x203);
}

.articles table .row-second td:nth-child(2) img {
  width: 100%;
  border-radius: 10px;
  content: url(https://source.unsplash.com/featured/300x204);
}

.article {
  padding: 40px;

  background-color: rgba(
    255,
    255,
    255,
    0.1
  ); /* Semi-transparent white background */
  border-radius: 10px; /* Rounded corners */
  padding: 10px 15px; /* Padding to give space between the text and the border */
  backdrop-filter: blur(10px); /* Apply a blur effect to the background */
}

.row-first {
  margin-right: -20px;
}

.row-first a {
  margin: 20px;
}

.row-second p {
  max-width: 800px;
  margin-left: 0px;
  padding: 80px;
}

.row-second h3 {
  margin-left: 20px;
  margin-top: 20px;
}

.row-second {
  background-color: rgba(
    255,
    255,
    255,
    0.1
  ); /* Semi-transparent white background */
  border-radius: 10px; /* Rounded corners */
  padding: 10px 15px; /* Padding to give space between the text and the border */
  max-width: fit-content;
  backdrop-filter: blur(10px); /* Apply a blur effect to the background */
  margin-left: 150px;
}

.creativity img {
  display: none;
}

.creativity {
  background-image: url(https://i.vgy.me/WdyMnm.png);
  margin-top: 50px;
  padding: 50px;
  display: flex;
  background-repeat: no-repeat;
  background-size: cover;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  backdrop-filter: blur(20px);

  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.3);
}

.creativity-wrapper {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
  grid-gap: 20px;
}

.mini-one,
.mini-two,
.mini-three,
.mini-four {
  position: relative;
  overflow: hidden;
  background-color: rgba(255, 255, 255, 0.15);
  border-radius: 8px;
  backdrop-filter: blur(10px);
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
  cursor: pointer;
}

.mini-content {
  padding: 20px;
}

.mini-one img,
.mini-two img,
.mini-three img,
.mini-four img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  opacity: 0.3;
  transform: scale(1);
  transition: opacity 0.5s ease, transform 0.5s ease;
}

@keyframes spin-hover {
  0% {
    transform: scale(1) rotate(0deg);
  }
  50% {
    transform: scale(1.2) rotate(10deg);
  }
  100% {
    transform: scale(1) rotate(0deg);
  }
}

.mini-one:hover img,
.mini-two:hover img,
.mini-three:hover img,
.mini-four:hover img {
  opacity: 1;
  animation: spin-hover 1s infinite;
}

.mini-one:hover,
.mini-two:hover,
.mini-three:hover,
.mini-four:hover {
  background-color: rgba(
    255,
    255,
    255,
    0.3
  ); /* Increase the opacity when hovered */
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.5); /* Glowy effect when hovered */

  transform: translateY(-10px);
  transition: box-shadow 0.5s ease, transform 1s ease;
}

/* Footer Styles */
/* Footer Styles */
footer {
  background: radial-gradient(
    circle,
    rgba(87, 97, 215, 1) 0%,
    rgb(4, 4, 58) 0%,
    rgba(15, 5, 76, 1) 100%
  );
  color: #ffffff;
  padding: 40px 0;
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
  backdrop-filter: blur(10px);
  border-radius: 20px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
}

.footer-logo,
.footer-form,
.footer-credit {
  width: 30%;
}

.footer-logo h3 {
  font-size: 1.6em;
  margin-bottom: 15px;
  text-shadow: 2px 2px rgba(0, 0, 0, 0.3);
}

.footer-form p {
  font-size: 1.3em;
  margin-bottom: 15px;
  text-shadow: 2px 2px rgba(0, 0, 0, 0.3);
}

footer form {
  display: flex;
  flex-direction: column;
}

footer input[type="text"],
footer select {
  margin-bottom: 15px;
  padding: 5px;
  font-size: 1.1em;
  border: none;
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 5px;
  box-shadow: inset 0px 0px 5px rgba(0, 0, 0, 0.1);
}

footer input[type="text"]::placeholder,
footer select::placeholder {
  color: rgba(255, 255, 255, 0.6);
}

footer input[type="radio"],
footer label {
  font-size: 1.1em;
  margin-right: 10px;
}

footer button {
  background-color: #ffffff;
  border: none;
  color: #333;
  padding: 10px 20px;
  font-size: 1.1em;
  cursor: pointer;
  border-radius: 5px;
  transition: all 0.3s ease;
}

footer button:hover {
  background-color: #333;
  color: #ffffff;
}

.footer-credit h3 {
  font-size: 1.3em;
  margin-bottom: 15px;
  text-shadow: 2px 2px rgba(0, 0, 0, 0.3);
}

/* Responsive */
@media (max-width: 768px) {
  body {
    max-width: 768px;
  }

  nav {
    flex-direction: column;

    margin-left: 20px;
    width: 450px;
    margin-left: -20px;
  }

  #header {
    flex-direction: column;
    background-size: 200%;
    background-position: -250px;
    background-image: url(https://i.vgy.me/ugGukr.png);
    margin-right: -30px;
  }

  .header-texts {
    padding: 0px;
    width: 100%;
  }
  .header-texts h1 {
    font-size: 3rem;
  }
  .header-texts h3 {
    font-size: 2rem;
  }
  .header-texts p {
    font-size: 1rem;
  }

  .content-aside {
    flex-direction: column;
    background-size: cover;
    margin-top: 50px;
    margin-right: -30px;
    padding-right: 50px;
  }
  .content {
    width: 100%;
  }

  aside {
    width: 100%;
  }

  .articles {
    width: 100%;
    margin-top: -50px;
    gap: 0px;
    margin-left: 20px;

  }

  

  .articles table {
    padding: 0px;
    margin-right: -500px;
  }

  .article {
    padding: 0px;
  }

  .articles table .row-first .article:nth-child(1) img {
    max-width: 70%;
    margin-left: 50px;
  }

  .articles table .row-first .article:nth-child(2) img {
    max-width: 70%;
    margin-left: 50px;
  }

  .articles table .row-first .article:nth-child(3) img {
    max-width: 70%;
    margin-left: 50px;
  } 

  .articles img{
    margin-left: -5000px;
  }

  .row-first {
    max-width: 100%;
  }

  .articles table .article a {
    padding: 10px;
    margin-left: 130px;
    margin-bottom: 50px;
  }

  .articles h3 {
    margin-left: 20px;
  }

  .creativity{
    margin-right: -35px;
  }

  .row-first {
    display: flex;
    flex-direction: column;
    max-width: 100%;
  }

  .row-first a {
    margin-right: 100px;
  }

  .row-second {
    display: flex;
    flex-direction: column-reverse;
    padding: 10px;
    margin: 0px;
  }

  .row-second img {
    max-width: 100%;
    padding-left: 50px;
  }

  .creativity-wrapper {
    display: flex;
    flex-direction: column;
  }

  footer {
    display: flex;
    flex-direction: column;
    padding: 40px;
  }

  .footer-logo,
  .footer-form,
  .footer-credit {
    width: 100%;
  }

  .footer-form {
    margin-top: 50px;
    margin-bottom: 50px;
  }
}
